<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Tue Aug 01 04:46:23 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>RSMPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)</title>
<meta name="date" content="2017-08-01">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="RSMPackage (org.eclipse.papyrus.marte.static.profile 1.2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":6,"i1":6,"i2":6,"i3":6,"i4":6,"i5":6,"i6":6,"i7":6,"i8":6,"i9":6,"i10":6,"i11":6,"i12":6,"i13":6,"i14":6,"i15":6,"i16":6,"i17":6,"i18":6,"i19":6,"i20":6,"i21":6,"i22":6,"i23":6};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],4:["t3","Abstract Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RSMPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html" target="_top">Frames</a></li>
<li><a href="RSMPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM</div>
<h2 title="Interface RSMPackage" class="title">Interface RSMPackage</h2>
</div>
<div class="contentContainer">
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Superinterfaces:</dt>
<dd>org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier</dd>
</dl>
<dl>
<dt>All Known Implementing Classes:</dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl">RSMPackageImpl</a></dd>
</dl>
<hr>
<br>
<pre>public interface <span class="typeNameLabel">RSMPackage</span>
extends org.eclipse.emf.ecore.EPackage</pre>
<div class="block"><!-- begin-user-doc -->
 The <b>Package</b> for the model.
 It contains accessors for the meta objects to represent
 <ul>
 <li>each class,</li>
 <li>each feature of each class,</li>
 <li>each enum,</li>
 <li>and each data type</li>
 </ul>
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>RSMFactory</code></a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Nested Class Summary table, listing nested classes, and an explanation">
<caption><span>Nested Classes</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Interface and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static interface&nbsp;</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">RSMPackage.Literals</a></span></code>
<div class="block">Defines literals for the meta objects that represent
 
 each class,
 each feature of each class,
 each enum,
 and each data type
 
 <!-- end-user-doc --></div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Field Summary table, listing fields, and an explanation">
<caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Field and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DEFAULT_LINK">DEFAULT_LINK</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/DefaultLinkImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Default Link</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DEFAULT_LINK__BASE_CONNECTOR">DEFAULT_LINK__BASE_CONNECTOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DEFAULT_LINK_FEATURE_COUNT">DEFAULT_LINK_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Default Link</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE">DISTRIBUTE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/DistributeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Distribute</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__BASE_ABSTRACTION">DISTRIBUTE__BASE_ABSTRACTION</a></span></code>
<div class="block">The feature id for the '<em><b>Base Abstraction</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__FROM_TILER">DISTRIBUTE__FROM_TILER</a></span></code>
<div class="block">The feature id for the '<em><b>From Tiler</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__IMPLIED_CONSTRAINT">DISTRIBUTE__IMPLIED_CONSTRAINT</a></span></code>
<div class="block">The feature id for the '<em><b>Implied Constraint</b></em>' reference list.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__KIND">DISTRIBUTE__KIND</a></span></code>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__NATURE">DISTRIBUTE__NATURE</a></span></code>
<div class="block">The feature id for the '<em><b>Nature</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__PATTERN_SHAPE">DISTRIBUTE__PATTERN_SHAPE</a></span></code>
<div class="block">The feature id for the '<em><b>Pattern Shape</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__REPETITION_SPACE">DISTRIBUTE__REPETITION_SPACE</a></span></code>
<div class="block">The feature id for the '<em><b>Repetition Space</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE__TO_TILER">DISTRIBUTE__TO_TILER</a></span></code>
<div class="block">The feature id for the '<em><b>To Tiler</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#DISTRIBUTE_FEATURE_COUNT">DISTRIBUTE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Distribute</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">RSMPackage</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#eINSTANCE">eINSTANCE</a></span></code>
<div class="block">The singleton instance of the package.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#eNAME">eNAME</a></span></code>
<div class="block">The package name.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#eNS_PREFIX">eNS_PREFIX</a></span></code>
<div class="block">The package namespace name.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static <a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#eNS_URI">eNS_URI</a></span></code>
<div class="block">The package namespace URI.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#INTER_REPETITION">INTER_REPETITION</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/InterRepetitionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Inter Repetition</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#INTER_REPETITION__BASE_CONNECTOR">INTER_REPETITION__BASE_CONNECTOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#INTER_REPETITION__IS_MODULO">INTER_REPETITION__IS_MODULO</a></span></code>
<div class="block">The feature id for the '<em><b>Is Modulo</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#INTER_REPETITION__REPETITION_SHAPE_DEPENDENCE">INTER_REPETITION__REPETITION_SHAPE_DEPENDENCE</a></span></code>
<div class="block">The feature id for the '<em><b>Repetition Shape Dependence</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#INTER_REPETITION_FEATURE_COUNT">INTER_REPETITION_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Inter Repetition</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#LINK_TOPOLOGY">LINK_TOPOLOGY</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Link Topology</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#LINK_TOPOLOGY__BASE_CONNECTOR">LINK_TOPOLOGY__BASE_CONNECTOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#LINK_TOPOLOGY_FEATURE_COUNT">LINK_TOPOLOGY_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Link Topology</em>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#RESHAPE">RESHAPE</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ReshapeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Reshape</em></code></a>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#RESHAPE__BASE_CONNECTOR">RESHAPE__BASE_CONNECTOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#RESHAPE__PATTERN_SHAPE">RESHAPE__PATTERN_SHAPE</a></span></code>
<div class="block">The feature id for the '<em><b>Pattern Shape</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#RESHAPE__REPETITON_SHAPE">RESHAPE__REPETITON_SHAPE</a></span></code>
<div class="block">The feature id for the '<em><b>Repetiton Shape</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#RESHAPE_FEATURE_COUNT">RESHAPE_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Reshape</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#SHAPED">SHAPED</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ShapedImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Shaped</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#SHAPED__BASE_MULTIPLICITY_ELEMENT">SHAPED__BASE_MULTIPLICITY_ELEMENT</a></span></code>
<div class="block">The feature id for the '<em><b>Base Multiplicity Element</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#SHAPED__SHAPE">SHAPED__SHAPE</a></span></code>
<div class="block">The feature id for the '<em><b>Shape</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#SHAPED_FEATURE_COUNT">SHAPED_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Shaped</em>' class.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER">TILER</a></span></code>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Tiler</em></code></a>' class.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER__BASE_CONNECTOR">TILER__BASE_CONNECTOR</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER__BASE_CONNECTOR_END">TILER__BASE_CONNECTOR_END</a></span></code>
<div class="block">The feature id for the '<em><b>Base Connector End</b></em>' reference.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER__FITTING">TILER__FITTING</a></span></code>
<div class="block">The feature id for the '<em><b>Fitting</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER__ORIGIN">TILER__ORIGIN</a></span></code>
<div class="block">The feature id for the '<em><b>Origin</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER__PAVING">TILER__PAVING</a></span></code>
<div class="block">The feature id for the '<em><b>Paving</b></em>' attribute.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER__TILER">TILER__TILER</a></span></code>
<div class="block">The feature id for the '<em><b>Tiler</b></em>' attribute.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>static int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#TILER_FEATURE_COUNT">TILER_FEATURE_COUNT</a></span></code>
<div class="block">The number of structural features of the '<em>Tiler</em>' class.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t3" class="tableTab"><span><a href="javascript:show(4);">Abstract Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDefaultLink--">getDefaultLink</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/DefaultLink.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Default Link</em></code></a>'.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute_FromTiler--">getDistribute_FromTiler</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getFromTiler--"><code><em>From Tiler</em></code></a>'.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute_PatternShape--">getDistribute_PatternShape</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getPatternShape--"><code><em>Pattern Shape</em></code></a>'.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute_RepetitionSpace--">getDistribute_RepetitionSpace</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getRepetitionSpace--"><code><em>Repetition Space</em></code></a>'.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute_ToTiler--">getDistribute_ToTiler</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getToTiler--"><code><em>To Tiler</em></code></a>'.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute--">getDistribute</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Distribute</em></code></a>'.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getInterRepetition_IsModulo--">getInterRepetition_IsModulo</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html#isModulo--"><code><em>Is Modulo</em></code></a>'.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getInterRepetition_RepetitionShapeDependence--">getInterRepetition_RepetitionShapeDependence</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html#getRepetitionShapeDependence--"><code><em>Repetition Shape Dependence</em></code></a>'.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getInterRepetition--">getInterRepetition</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Inter Repetition</em></code></a>'.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getLinkTopology_Base_Connector--">getLinkTopology_Base_Connector</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#getBase_Connector--"><code><em>Base Connector</em></code></a>'.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getLinkTopology--">getLinkTopology</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Link Topology</em></code></a>'.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getReshape_PatternShape--">getReshape_PatternShape</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html#getPatternShape--"><code><em>Pattern Shape</em></code></a>'.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getReshape_RepetitonShape--">getReshape_RepetitonShape</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html#getRepetitonShape--"><code><em>Repetiton Shape</em></code></a>'.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getReshape--">getReshape</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Reshape</em></code></a>'.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">RSMFactory</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getRSMFactory--">getRSMFactory</a></span>()</code>
<div class="block">Returns the factory that creates the instances of the model.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getShaped_Base_MultiplicityElement--">getShaped_Base_MultiplicityElement</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html#getBase_MultiplicityElement--"><code><em>Base Multiplicity Element</em></code></a>'.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getShaped_Shape--">getShaped_Shape</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html#getShape--"><code><em>Shape</em></code></a>'.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getShaped--">getShaped</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Shaped</em></code></a>'.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EReference</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Base_ConnectorEnd--">getTiler_Base_ConnectorEnd</a></span>()</code>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a>'.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Fitting--">getTiler_Fitting</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code><em>Fitting</em></code></a>'.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Origin--">getTiler_Origin</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code><em>Origin</em></code></a>'.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Paving--">getTiler_Paving</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code><em>Paving</em></code></a>'.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EAttribute</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler_Tiler--">getTiler_Tiler</a></span>()</code>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code><em>Tiler</em></code></a>'.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>org.eclipse.emf.ecore.EClass</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--">getTiler</a></span>()</code>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Tiler</em></code></a>'.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EPackage">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EPackage</h3>
<code>getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.ENamedElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.ENamedElement</h3>
<code>getName, setName</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EModelElement">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EModelElement</h3>
<code>getEAnnotation, getEAnnotations</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.ecore.EObject">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.ecore.EObject</h3>
<code>eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.eclipse.emf.common.notify.Notifier">
<!--   -->
</a>
<h3>Methods inherited from interface&nbsp;org.eclipse.emf.common.notify.Notifier</h3>
<code>eAdapters, eDeliver, eNotify, eSetDeliver</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ============ FIELD DETAIL =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.detail">
<!--   -->
</a>
<h3>Field Detail</h3>
<a name="eNAME">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNAME</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNAME</pre>
<div class="block">The package name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.eNAME">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_URI">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_URI</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_URI</pre>
<div class="block">The package namespace URI.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.eNS_URI">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eNS_PREFIX">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eNS_PREFIX</h4>
<pre>static final&nbsp;<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a> eNS_PREFIX</pre>
<div class="block">The package namespace name.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.eNS_PREFIX">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="eINSTANCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>eINSTANCE</h4>
<pre>static final&nbsp;<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">RSMPackage</a> eINSTANCE</pre>
<div class="block">The singleton instance of the package.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
</li>
</ul>
<a name="LINK_TOPOLOGY">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINK_TOPOLOGY</h4>
<pre>static final&nbsp;int LINK_TOPOLOGY</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Link Topology</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/LinkTopologyImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>LinkTopologyImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getLinkTopology--"><code>RSMPackageImpl.getLinkTopology()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.LINK_TOPOLOGY">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LINK_TOPOLOGY__BASE_CONNECTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINK_TOPOLOGY__BASE_CONNECTOR</h4>
<pre>static final&nbsp;int LINK_TOPOLOGY__BASE_CONNECTOR</pre>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.LINK_TOPOLOGY__BASE_CONNECTOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="LINK_TOPOLOGY_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>LINK_TOPOLOGY_FEATURE_COUNT</h4>
<pre>static final&nbsp;int LINK_TOPOLOGY_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Link Topology</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.LINK_TOPOLOGY_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_LINK">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_LINK</h4>
<pre>static final&nbsp;int DEFAULT_LINK</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/DefaultLinkImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Default Link</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/DefaultLinkImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>DefaultLinkImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getDefaultLink--"><code>RSMPackageImpl.getDefaultLink()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DEFAULT_LINK">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_LINK__BASE_CONNECTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_LINK__BASE_CONNECTOR</h4>
<pre>static final&nbsp;int DEFAULT_LINK__BASE_CONNECTOR</pre>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DEFAULT_LINK__BASE_CONNECTOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DEFAULT_LINK_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DEFAULT_LINK_FEATURE_COUNT</h4>
<pre>static final&nbsp;int DEFAULT_LINK_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Default Link</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DEFAULT_LINK_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTER_REPETITION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTER_REPETITION</h4>
<pre>static final&nbsp;int INTER_REPETITION</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/InterRepetitionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Inter Repetition</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/InterRepetitionImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>InterRepetitionImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getInterRepetition--"><code>RSMPackageImpl.getInterRepetition()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.INTER_REPETITION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTER_REPETITION__BASE_CONNECTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTER_REPETITION__BASE_CONNECTOR</h4>
<pre>static final&nbsp;int INTER_REPETITION__BASE_CONNECTOR</pre>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.INTER_REPETITION__BASE_CONNECTOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTER_REPETITION__REPETITION_SHAPE_DEPENDENCE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTER_REPETITION__REPETITION_SHAPE_DEPENDENCE</h4>
<pre>static final&nbsp;int INTER_REPETITION__REPETITION_SHAPE_DEPENDENCE</pre>
<div class="block">The feature id for the '<em><b>Repetition Shape Dependence</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.INTER_REPETITION__REPETITION_SHAPE_DEPENDENCE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTER_REPETITION__IS_MODULO">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTER_REPETITION__IS_MODULO</h4>
<pre>static final&nbsp;int INTER_REPETITION__IS_MODULO</pre>
<div class="block">The feature id for the '<em><b>Is Modulo</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.INTER_REPETITION__IS_MODULO">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="INTER_REPETITION_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>INTER_REPETITION_FEATURE_COUNT</h4>
<pre>static final&nbsp;int INTER_REPETITION_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Inter Repetition</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.INTER_REPETITION_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE</h4>
<pre>static final&nbsp;int DISTRIBUTE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/DistributeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Distribute</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/DistributeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>DistributeImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getDistribute--"><code>RSMPackageImpl.getDistribute()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__KIND">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__KIND</h4>
<pre>static final&nbsp;int DISTRIBUTE__KIND</pre>
<div class="block">The feature id for the '<em><b>Kind</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__KIND">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__NATURE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__NATURE</h4>
<pre>static final&nbsp;int DISTRIBUTE__NATURE</pre>
<div class="block">The feature id for the '<em><b>Nature</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__NATURE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__BASE_ABSTRACTION">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__BASE_ABSTRACTION</h4>
<pre>static final&nbsp;int DISTRIBUTE__BASE_ABSTRACTION</pre>
<div class="block">The feature id for the '<em><b>Base Abstraction</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__BASE_ABSTRACTION">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__IMPLIED_CONSTRAINT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__IMPLIED_CONSTRAINT</h4>
<pre>static final&nbsp;int DISTRIBUTE__IMPLIED_CONSTRAINT</pre>
<div class="block">The feature id for the '<em><b>Implied Constraint</b></em>' reference list.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__IMPLIED_CONSTRAINT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__PATTERN_SHAPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__PATTERN_SHAPE</h4>
<pre>static final&nbsp;int DISTRIBUTE__PATTERN_SHAPE</pre>
<div class="block">The feature id for the '<em><b>Pattern Shape</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__PATTERN_SHAPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__REPETITION_SPACE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__REPETITION_SPACE</h4>
<pre>static final&nbsp;int DISTRIBUTE__REPETITION_SPACE</pre>
<div class="block">The feature id for the '<em><b>Repetition Space</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__REPETITION_SPACE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__FROM_TILER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__FROM_TILER</h4>
<pre>static final&nbsp;int DISTRIBUTE__FROM_TILER</pre>
<div class="block">The feature id for the '<em><b>From Tiler</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__FROM_TILER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE__TO_TILER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE__TO_TILER</h4>
<pre>static final&nbsp;int DISTRIBUTE__TO_TILER</pre>
<div class="block">The feature id for the '<em><b>To Tiler</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE__TO_TILER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="DISTRIBUTE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>DISTRIBUTE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int DISTRIBUTE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Distribute</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.DISTRIBUTE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESHAPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESHAPE</h4>
<pre>static final&nbsp;int RESHAPE</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ReshapeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Reshape</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ReshapeImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>ReshapeImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getReshape--"><code>RSMPackageImpl.getReshape()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.RESHAPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESHAPE__BASE_CONNECTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESHAPE__BASE_CONNECTOR</h4>
<pre>static final&nbsp;int RESHAPE__BASE_CONNECTOR</pre>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.RESHAPE__BASE_CONNECTOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESHAPE__PATTERN_SHAPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESHAPE__PATTERN_SHAPE</h4>
<pre>static final&nbsp;int RESHAPE__PATTERN_SHAPE</pre>
<div class="block">The feature id for the '<em><b>Pattern Shape</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.RESHAPE__PATTERN_SHAPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESHAPE__REPETITON_SHAPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESHAPE__REPETITON_SHAPE</h4>
<pre>static final&nbsp;int RESHAPE__REPETITON_SHAPE</pre>
<div class="block">The feature id for the '<em><b>Repetiton Shape</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.RESHAPE__REPETITON_SHAPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="RESHAPE_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>RESHAPE_FEATURE_COUNT</h4>
<pre>static final&nbsp;int RESHAPE_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Reshape</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.RESHAPE_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER</h4>
<pre>static final&nbsp;int TILER</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Tiler</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/TilerImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>TilerImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getTiler--"><code>RSMPackageImpl.getTiler()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER__BASE_CONNECTOR">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER__BASE_CONNECTOR</h4>
<pre>static final&nbsp;int TILER__BASE_CONNECTOR</pre>
<div class="block">The feature id for the '<em><b>Base Connector</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER__BASE_CONNECTOR">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER__ORIGIN">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER__ORIGIN</h4>
<pre>static final&nbsp;int TILER__ORIGIN</pre>
<div class="block">The feature id for the '<em><b>Origin</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER__ORIGIN">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER__PAVING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER__PAVING</h4>
<pre>static final&nbsp;int TILER__PAVING</pre>
<div class="block">The feature id for the '<em><b>Paving</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER__PAVING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER__FITTING">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER__FITTING</h4>
<pre>static final&nbsp;int TILER__FITTING</pre>
<div class="block">The feature id for the '<em><b>Fitting</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER__FITTING">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER__TILER">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER__TILER</h4>
<pre>static final&nbsp;int TILER__TILER</pre>
<div class="block">The feature id for the '<em><b>Tiler</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER__TILER">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER__BASE_CONNECTOR_END">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER__BASE_CONNECTOR_END</h4>
<pre>static final&nbsp;int TILER__BASE_CONNECTOR_END</pre>
<div class="block">The feature id for the '<em><b>Base Connector End</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER__BASE_CONNECTOR_END">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="TILER_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>TILER_FEATURE_COUNT</h4>
<pre>static final&nbsp;int TILER_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Tiler</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.TILER_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHAPED">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHAPED</h4>
<pre>static final&nbsp;int SHAPED</pre>
<div class="block">The meta object id for the '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ShapedImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code><em>Shaped</em></code></a>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/ShapedImpl.html" title="class in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.impl"><code>ShapedImpl</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/impl/RSMPackageImpl.html#getShaped--"><code>RSMPackageImpl.getShaped()</code></a>, 
<a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.SHAPED">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHAPED__SHAPE">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHAPED__SHAPE</h4>
<pre>static final&nbsp;int SHAPED__SHAPE</pre>
<div class="block">The feature id for the '<em><b>Shape</b></em>' attribute.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.SHAPED__SHAPE">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHAPED__BASE_MULTIPLICITY_ELEMENT">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>SHAPED__BASE_MULTIPLICITY_ELEMENT</h4>
<pre>static final&nbsp;int SHAPED__BASE_MULTIPLICITY_ELEMENT</pre>
<div class="block">The feature id for the '<em><b>Base Multiplicity Element</b></em>' reference.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.SHAPED__BASE_MULTIPLICITY_ELEMENT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
<a name="SHAPED_FEATURE_COUNT">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SHAPED_FEATURE_COUNT</h4>
<pre>static final&nbsp;int SHAPED_FEATURE_COUNT</pre>
<div class="block">The number of structural features of the '<em>Shaped</em>' class.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../constant-values.html#org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM.RSMPackage.SHAPED_FEATURE_COUNT">Constant Field Values</a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getLinkTopology--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinkTopology</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getLinkTopology()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Link Topology</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Link Topology</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>LinkTopology</code></a></dd>
</dl>
</li>
</ul>
<a name="getLinkTopology_Base_Connector--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLinkTopology_Base_Connector</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getLinkTopology_Base_Connector()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#getBase_Connector--"><code><em>Base Connector</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Connector</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/LinkTopology.html#getBase_Connector--"><code>LinkTopology.getBase_Connector()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getLinkTopology--"><code>getLinkTopology()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDefaultLink--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDefaultLink</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getDefaultLink()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/DefaultLink.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Default Link</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Default Link</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/DefaultLink.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>DefaultLink</code></a></dd>
</dl>
</li>
</ul>
<a name="getInterRepetition--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterRepetition</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getInterRepetition()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Inter Repetition</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Inter Repetition</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>InterRepetition</code></a></dd>
</dl>
</li>
</ul>
<a name="getInterRepetition_RepetitionShapeDependence--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterRepetition_RepetitionShapeDependence</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getInterRepetition_RepetitionShapeDependence()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html#getRepetitionShapeDependence--"><code><em>Repetition Shape Dependence</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repetition Shape Dependence</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html#getRepetitionShapeDependence--"><code>InterRepetition.getRepetitionShapeDependence()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getInterRepetition--"><code>getInterRepetition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getInterRepetition_IsModulo--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getInterRepetition_IsModulo</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getInterRepetition_IsModulo()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html#isModulo--"><code><em>Is Modulo</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Is Modulo</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/InterRepetition.html#isModulo--"><code>InterRepetition.isModulo()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getInterRepetition--"><code>getInterRepetition()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDistribute--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistribute</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getDistribute()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Distribute</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Distribute</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>Distribute</code></a></dd>
</dl>
</li>
</ul>
<a name="getDistribute_PatternShape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistribute_PatternShape</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getDistribute_PatternShape()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getPatternShape--"><code><em>Pattern Shape</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Pattern Shape</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getPatternShape--"><code>Distribute.getPatternShape()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute--"><code>getDistribute()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDistribute_RepetitionSpace--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistribute_RepetitionSpace</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getDistribute_RepetitionSpace()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getRepetitionSpace--"><code><em>Repetition Space</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repetition Space</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getRepetitionSpace--"><code>Distribute.getRepetitionSpace()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute--"><code>getDistribute()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDistribute_FromTiler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistribute_FromTiler</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getDistribute_FromTiler()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getFromTiler--"><code><em>From Tiler</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>From Tiler</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getFromTiler--"><code>Distribute.getFromTiler()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute--"><code>getDistribute()</code></a></dd>
</dl>
</li>
</ul>
<a name="getDistribute_ToTiler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getDistribute_ToTiler</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getDistribute_ToTiler()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getToTiler--"><code><em>To Tiler</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>To Tiler</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Distribute.html#getToTiler--"><code>Distribute.getToTiler()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getDistribute--"><code>getDistribute()</code></a></dd>
</dl>
</li>
</ul>
<a name="getReshape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReshape</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getReshape()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Reshape</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Reshape</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>Reshape</code></a></dd>
</dl>
</li>
</ul>
<a name="getReshape_PatternShape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReshape_PatternShape</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getReshape_PatternShape()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html#getPatternShape--"><code><em>Pattern Shape</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Pattern Shape</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html#getPatternShape--"><code>Reshape.getPatternShape()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getReshape--"><code>getReshape()</code></a></dd>
</dl>
</li>
</ul>
<a name="getReshape_RepetitonShape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getReshape_RepetitonShape</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getReshape_RepetitonShape()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html#getRepetitonShape--"><code><em>Repetiton Shape</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Repetiton Shape</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Reshape.html#getRepetitonShape--"><code>Reshape.getRepetitonShape()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getReshape--"><code>getReshape()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getTiler()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Tiler</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Tiler</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>Tiler</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler_Origin--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler_Origin</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getTiler_Origin()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code><em>Origin</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Origin</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getOrigin--"><code>Tiler.getOrigin()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler_Paving--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler_Paving</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getTiler_Paving()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code><em>Paving</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Paving</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getPaving--"><code>Tiler.getPaving()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler_Fitting--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler_Fitting</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getTiler_Fitting()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code><em>Fitting</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Fitting</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getFitting--"><code>Tiler.getFitting()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler_Tiler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler_Tiler</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getTiler_Tiler()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code><em>Tiler</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Tiler</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getTiler--"><code>Tiler.getTiler()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getTiler_Base_ConnectorEnd--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTiler_Base_ConnectorEnd</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getTiler_Base_ConnectorEnd()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code><em>Base Connector End</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Connector End</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Tiler.html#getBase_ConnectorEnd--"><code>Tiler.getBase_ConnectorEnd()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getTiler--"><code>getTiler()</code></a></dd>
</dl>
</li>
</ul>
<a name="getShaped--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShaped</h4>
<pre>org.eclipse.emf.ecore.EClass&nbsp;getShaped()</pre>
<div class="block">Returns the meta object for class '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code><em>Shaped</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for class '<em>Shaped</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><code>Shaped</code></a></dd>
</dl>
</li>
</ul>
<a name="getShaped_Shape--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShaped_Shape</h4>
<pre>org.eclipse.emf.ecore.EAttribute&nbsp;getShaped_Shape()</pre>
<div class="block">Returns the meta object for the attribute '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html#getShape--"><code><em>Shape</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the attribute '<em>Shape</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html#getShape--"><code>Shaped.getShape()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getShaped--"><code>getShaped()</code></a></dd>
</dl>
</li>
</ul>
<a name="getShaped_Base_MultiplicityElement--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getShaped_Base_MultiplicityElement</h4>
<pre>org.eclipse.emf.ecore.EReference&nbsp;getShaped_Base_MultiplicityElement()</pre>
<div class="block">Returns the meta object for the reference '<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html#getBase_MultiplicityElement--"><code><em>Base Multiplicity Element</em></code></a>'.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the meta object for the reference '<em>Base Multiplicity Element</em>'.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/Shaped.html#getBase_MultiplicityElement--"><code>Shaped.getBase_MultiplicityElement()</code></a>, 
<a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html#getShaped--"><code>getShaped()</code></a></dd>
</dl>
</li>
</ul>
<a name="getRSMFactory--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>getRSMFactory</h4>
<pre><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM">RSMFactory</a>&nbsp;getRSMFactory()</pre>
<div class="block">Returns the factory that creates the instances of the model.
 <!-- begin-user-doc -->
 <!-- end-user-doc --></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the factory that creates the instances of the model.</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/RSMPackage.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMFactory.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.Literals.html" title="interface in org.eclipse.papyrus.MARTE.MARTE_Annexes.RSM"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/eclipse/papyrus/MARTE/MARTE_Annexes/RSM/RSMPackage.html" target="_top">Frames</a></li>
<li><a href="RSMPackage.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.class.summary">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
<li>Constr&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
